import React , {Component} from 'react';
import {Link} from 'react-router';
import {connect} from 'react-redux';
import fetch from 'isomorphic-fetch';

class FyreLink extends Component{
  handleClick(e){
    fetch(this.props.push,this.props.options||{});
  }
  render(){
    return(
      <Link to={this.props.to} onClick={this.handleClick.bind(this)}>{this.props.children}</Link>
    );
  }
}

function mapStateToProps(state){
  return state;
}

export default connect(mapStateToProps)(FyreLink);
